myfaces-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Leonardo Uribe" <lu4...@gmail.com>
Subject Re: [VOTE] Upgrade sandbox converters and validators to tomahawk
Date Fri, 27 Jun 2008 17:33:26 GMT
On Thu, Jun 26, 2008 at 11:54 AM, Mike Kienenberger <mkienenb@gmail.com>
wrote:

> On 6/26/08, Volker Weber <v.weber@inexso.de> wrote:
>
> >  > Does it really matter if there's a commons 1.1?   Tomahawk 1.1 is fast
> >  > approaching the end of its lifecycle.
> >
> >
> > Yes, it does. At least to me.
> >
> >  Commons1.1 is not a tomahawk1.1 extension, it should contain things
> >  for jsf1.1 application developpers.
> >  As long as there is active development in jsf1.1 applications, there
> >  is a need for a commons1.1 version.
> >
> >  We are just going in production with a tobago/jsf1.1 application,
> >  developed within the last three years,
> >  and i can't see the time to switch to jsf1.2  in the next months while
> >  we need to add extensions for specific customers.
>
> Volker,
>
> I'm not saying we shouldn't have a commons 1.1.   I think we should.
> What I'm saying is that even if we do not have a commons 1.1, we
> should stop maintaining the validators and converters as part of
> Tomahawk.   If someone thinks they are worth supporting in 1.1, they
> should so as part of commons 1.1.
>

We need a conclusion about this topic.

One of the options presented is:

1. Deprecate converters and validators for tomahawk 1.1 (and let all
converters and validators where are, just note it).
2. Move tomahawk converters and validators to myfaces-commons (1.2 done, 1.1
branch in progress).

Does the community agree with that proposal?

regards

Leonardo Uribe

Mime
View raw message